import type { ExtensionAuto } from "../core/index.js";
import { BehaviorPresetOptions } from "../extensions/behavior/index.js";
import { EditorModeKeymapOptions } from "../extensions/behavior/EditorModeKeymap/index.js";
import { FullPresetOptions } from "../presets/full.js";
import type { DirectiveSyntaxContext } from "../utils/directive.js";
import type { FileUploadHandler } from "../utils/upload.js";
import type { MarkdownEditorPreset, WysiwygPlaceholderOptions } from "./types.js";
export type ExtensionsOptions = BehaviorPresetOptions & FullPresetOptions;
export type BundlePresetOptions = ExtensionsOptions & EditorModeKeymapOptions & {
    preset: MarkdownEditorPreset;
    mdBreaks?: boolean;
    preserveEmptyRows?: boolean;
    fileUploadHandler?: FileUploadHandler;
    placeholderOptions?: WysiwygPlaceholderOptions;
    /**
     * If we need to set dimensions for uploaded images
     *
     * @default false
     */
    needToSetDimensionsForUploadedImages?: boolean;
    enableNewImageSizeCalculation?: boolean;
    directiveSyntax: DirectiveSyntaxContext;
};
declare global {
    namespace WysiwygEditor {
        interface Context {
            directiveSyntax: DirectiveSyntaxContext;
        }
    }
}
export declare const BundlePreset: ExtensionAuto<BundlePresetOptions>;
