import type { Extension, ExtensionAuto } from "../core/index.js";
import { BlockquoteOptions, BoldOptions, BreaksOptions, CodeBlockOptions, CodeOptions, HeadingOptions, ImageOptions, ItalicOptions, LinkOptions, ListsOptions } from "../extensions/markdown/index.js";
import { ZeroPresetOptions } from "./zero.js";
export type CommonMarkPresetOptions = ZeroPresetOptions & {
    bold?: BoldOptions;
    code?: CodeOptions;
    link?: LinkOptions;
    lists?: ListsOptions;
    italic?: ItalicOptions;
    breaks?: BreaksOptions;
    image?: false | Extension | ImageOptions;
    codeBlock?: CodeBlockOptions;
    blockquote?: BlockquoteOptions;
    heading?: false | Extension | HeadingOptions;
};
export declare const CommonMarkPreset: ExtensionAuto<CommonMarkPresetOptions>;
