import type { ExtensionAuto } from "../core/index.js";
import { DeflistOptions, UnderlineOptions } from "../extensions/markdown/index.js";
import { CheckboxOptions, ImgSizeOptions, VideoOptions, YfmConfigsOptions, YfmCutOptions, YfmFileOptions, YfmHeadingOptions, YfmNoteOptions, YfmTableOptions } from "../extensions/yfm/index.js";
import { DefaultPresetOptions } from "./default.js";
export type YfmPresetOptions = Omit<DefaultPresetOptions, 'heading' | 'image'> & {
    checkbox?: CheckboxOptions;
    deflist?: DeflistOptions;
    underline?: UnderlineOptions;
    imgSize?: ImgSizeOptions;
    video?: VideoOptions;
    yfmConfigs?: YfmConfigsOptions;
    yfmCut?: YfmCutOptions;
    yfmFile?: YfmFileOptions;
    yfmHeading?: YfmHeadingOptions;
    yfmNote?: YfmNoteOptions;
    yfmTable?: YfmTableOptions;
};
export declare const YfmPreset: ExtensionAuto<YfmPresetOptions>;
