import { IconProps, PopupProps } from '@gravity-ui/uikit';
import { Action, ActionStorage } from "../../core/index.js";
import { ToolbarBaseProps, ToolbarIconData } from "../../toolbar/index.js";
import "./ToolbarButtonWithPopupMenu.css";
export type MenuItem = {
    id: string;
    action: Action;
    icon: IconProps['data'];
    text: string;
    iconSize?: IconProps['size'];
    iconClassname?: string;
    group?: string;
    ignoreActive?: boolean;
};
export type ToolbarButtonWithPopupMenuProps = Omit<ToolbarBaseProps<ActionStorage> & Pick<PopupProps, 'disablePortal'> & {
    icon: ToolbarIconData;
    iconClassName?: string;
    chevronIconClassName?: string;
    title: string | (() => string);
    menuItems: MenuItem[];
    /** @default 'classic' */
    _selectionType?: 'classic' | 'light';
}, 'editor'>;
export declare const ToolbarButtonWithPopupMenu: React.FC<ToolbarButtonWithPopupMenuProps>;
